# Market Seasonality `GET` `https://api.unusualwhales.com/api/seasonality/market` Returns the average return by month for the tickers SPY, QQQ, IWM, XLE, XLC, XLK, XLV, XLP, XLY, XLRE, XLF, XLI, XLB . ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Response (200) | Field | Type | Description | |-------|------|-------------| | `avg_change` | Seasonality Average Change | The average relative price change per day for the month. | | `max_change` | Seasonality Max Change | The maximum relative price change per day for the month. | | `median_change` | Seasonality Median Change | The median relative price change per day for the month. | | `min_change` | Seasonality Min Change | The minimum relative price change per day for the month. | | `month` | Seasonality Month Number | The number indicating the month the data applies for. e.g. 1 -> January, 2 -> February, ... | | `positive_closes` | Seasonality Positive Closes Count | The number of years, the month had a positive close. | | `positive_months_perc` | Seasonality Positive Months Percent | The relative amount of times, the month had a positive close. Multiply with 100 to get the amount in percent. | | `ticker` | Stock Ticker | The stock ticker. | | `years` | Seasonality Year Count | The number of years used to calculate the data. | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/seasonality/market" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/seasonality/market", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "avg_change": "-0.0068", "max_change": "0.0642", "median_change": "-0.0041", "min_change": "-0.0913", "month": 6, "positive_closes": 7, "positive_months_perc": "0.4375", "ticker": "SPY", "years": 16 }, { "avg_change": "0.0038", "max_change": "0.0666", "median_change": "0.0115", "min_change": "-0.0838", "month": 5, "positive_closes": 13, "positive_months_perc": "0.8125", "ticker": "SPY", "years": 16 }, { "avg_change": "0.0092", "max_change": "0.0791", "median_change": "0.0367", "min_change": "-0.1614", "month": 3, "positive_closes": 5, "positive_months_perc": "0.7142", "ticker": "XLRE", "years": 7 }, { "avg_change": "0.0044", "max_change": "0.0697", "median_change": "-0.0032", "min_change": "-0.0651", "month": 2, "positive_closes": 8, "positive_months_perc": "0.4705", "ticker": "QQQ", "years": 17 }, { "avg_change": "0.0201", "max_change": "0.1459", "median_change": "-0.0034", "min_change": "-0.0401", "month": 4, "positive_closes": 3, "positive_months_perc": "0.4285", "ticker": "XLRE", "years": 7 } ] } ```